Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.util.data
Class DataSeriesStore

    java.lang.Object
      org.ascape.util.data.StatCollector
          org.ascape.util.data.StatCollectorCSA
              org.ascape.util.data.StatCollectorCSAMM
                  org.ascape.util.data.DataSeries
                      org.ascape.util.data.DataSeriesStore

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, DataPoint, HasName

    public abstract class DataSeriesStore

extends DataSeries

A class which stores the results of measurements of data points. Comprehensive statistics are kept for the series as a whole. Ordinarily, you should not have to work with this class unless you are creating custom measurement types or collecting different kinds of data. You do not usually need to subclass this class directly; a stat factory creates the appropriate implementations. Confused? A data series keeps track of the overall count, sum, average, minimum, maximum for every piece of data collected, so it 'is-a' StatCollectorCSAMM. But it keeps the data stat for that data as well, and it records just one measure of that stat, be it count, sum, average, minimum, maximum, etc. so it 'has-a' DataPoint. See StatCollectorCSA for an example.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.util.data.DataSeries
`point`

Fields inherited from class org.ascape.util.data.StatCollectorCSA
`sum`

Fields inherited from class org.ascape.util.data.StatCollector
`allMeasureNames, allMeasureNamesShort, autoCollect, COLLECTING, count, name, NOT_COLLECTING, SET_BY_DATAGROUP`

Constructor Summary
`DataSeriesStore()` Constructs a new data series.

Method Summary
`void` | `addValue()` Adds a new value to the series.
`void` | `clear()` Clears the series of all values.
`boolean` | `isCollecting()` Returns whether this DataSeries is collecting longitudinal data.
`java.util.List<java.lang.Double>` | `toList()` Returns a list holding the entire series.

Methods inherited from class org.ascape.util.data.DataSeries
`getDataPoint, getMeasureName, getName, getValue, getValue, setDataPoint`

Methods inherited from class org.ascape.util.data.StatCollectorCSAMM
`addValue, getMax, getMin`

Methods inherited from class org.ascape.util.data.StatCollectorCSA
`getAvg, getSum, getTotal`

Methods inherited from class org.ascape.util.data.StatCollector
`addValueFor, calculateCollection, calculateIterator, calculateValue, compareTo, createDataSeries, getAllDataSeries, getAllMeasureNames, getAllMeasureNamesShort, getCollectingLongitudinalDataMode, getCount, getDataGroup, getDataSeries, isAutoCollect, isCalculated, isCollectingLongitudinalData, isPhase2, setAutoCollect, setCollectingLongitudinalDataMode, setDataGroup, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataSeriesStore

    public DataSeriesStore()

  Constructs a new data series.

Method Detail

### clear

    public void clear()

  Clears the series of all values.

  Overrides:
    `clear` in class `DataSeries`

### toList

    public java.util.List<java.lang.Double> toList()

  Returns a list holding the entire series.

### addValue

    public void addValue()

  Adds a new value to the series.

  Overrides:
    `addValue` in class `DataSeries`

### isCollecting

    public boolean isCollecting()

  Returns whether this DataSeries is collecting longitudinal data. Check this to see if a DataSeries needs to be cast into a DataSeriesStore. This method always returns true.

  Overrides:
    `isCollecting` in class `DataSeries`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD